
package org.mule.modules.quickbooks.config;

import org.mule.api.Capabilities;
import org.mule.api.Capability;


/**
 * A <code>QuickBooksModuleCapabilitiesAdapter</code> is a wrapper around {@link org.mule.modules.quickbooks.QuickBooksModule } that implements {@link org.mule.api.Capabilities} interface.
 * 
 */
public class QuickBooksModuleCapabilitiesAdapter
    extends org.mule.modules.quickbooks.QuickBooksModule
    implements Capabilities
{


    /**
     * Returns true if this module implements such capability
     * 
     */
    public boolean isCapableOf(Capability capability) {
        if (capability == Capability.LIFECYCLE_CAPABLE) {
            return true;
        }
        if (capability == Capability.OAUTH1_CAPABLE) {
            return true;
        }
        return false;
    }

}
